public class Types {
  public static void main(String [] args) {
    System.out.println(Byte.MAX_VALUE);
    System.out.println(Byte.MIN_VALUE);
    System.out.println(Byte.SIZE);
    System.out.println();
    System.out.println(Short.MAX_VALUE);
    System.out.println(Short.MIN_VALUE);
    System.out.println(Short.SIZE);
    System.out.println();
    System.out.println(Integer.MAX_VALUE);
    System.out.println(Integer.MIN_VALUE);
    System.out.println(Integer.SIZE);
    System.out.println();
    System.out.println(Long.MAX_VALUE);
    System.out.println(Long.MIN_VALUE);
    System.out.println(Long.SIZE);
    System.out.println();
    System.out.println(Float.MAX_VALUE);
    System.out.println(Float.MIN_VALUE);
    System.out.println(Float.MIN_NORMAL);
    System.out.println(Float.NaN);
    System.out.println(Float.SIZE);
    System.out.println();
    System.out.println(Double.MAX_VALUE);
    System.out.println(Double.MIN_VALUE);
    System.out.println(Double.MIN_NORMAL);
    System.out.println(Double.NaN);
    System.out.println(Double.SIZE);
    System.out.println();
    System.out.println(Character.SIZE);
    System.out.println();
    float v = 1.17549435E-38F;
    System.out.println(v);
    v /= 93.0F;
    System.out.println(v);
    short f =(short) 40000;
    System.out.println(f);
    System.out.println((long)('a'));
  }
}